Skip to navigation

Update ATS Application

Updates an existing application. Use it to correct how the application was sourced, for example to mark it as internally sourced or as an internal referral.

Token scopes: ats:write, worker:write

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

application_idstringRequiredformat: "uuid"
Unique identifier of the application to update

Request

Update application request
dataobjectRequired

Response

Successful response with the updated application data
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error